# Uses of Class
javax.print.attribute.standard.Severity

Packages that use Severity
Package
Description
javax.print.attribute.standard
Package `javax.print.attribute.standard` contains classes for specific printing attributes.

## Uses of Severity in javax.print.attribute.standard

Subclasses with type arguments of type Severity in javax.print.attribute.standard
Modifier and Type
Class
Description
`final class`
`PrinterStateReasons`
Class `PrinterStateReasons` is a printing attribute class, a set of enumeration values, that provides additional information about the printer's current state, i.e., information that augments the value of the printer's `PrinterState` attribute.
Fields in javax.print.attribute.standard declared as Severity
Modifier and Type
Field
Description
`static final Severity`
Severity.`ERROR`
Indicates that the `PrinterStateReason` is an "error" (most severe).
`static final Severity`
Severity.`REPORT`
Indicates that the `PrinterStateReason` is a "report" (least severe).
`static final Severity`
Severity.`WARNING`
Indicates that the `PrinterStateReason` is a "warning."
Methods in javax.print.attribute.standard that return Severity
Modifier and Type
Method
Description
`Severity`
PrinterStateReasons.`put(PrinterStateReason reason, Severity severity)`
Adds the given printer state reason to this printer state reasons attribute, associating it with the given severity level.
Methods in javax.print.attribute.standard with parameters of type Severity
Modifier and Type
Method
Description
`Set<PrinterStateReason>`
PrinterStateReasons.`printerStateReasonSet(Severity severity)`
Obtain an unmodifiable set view of the individual printer state reason attributes at the given severity level in this `PrinterStateReasons` attribute.
`Severity`
PrinterStateReasons.`put(PrinterStateReason reason, Severity severity)`
Adds the given printer state reason to this printer state reasons attribute, associating it with the given severity level.
Constructor parameters in javax.print.attribute.standard with type arguments of type Severity
Modifier
Constructor
Description
``
`PrinterStateReasons(Map<PrinterStateReason, Severity> map)`
Construct a new printer state reasons attribute that contains the same `PrinterStateReason`-to-`Severity` mappings as the given map.